function plot_gaussian(mean, sigma)
%
% function plot_gaussian(mean, sigma)
%
% ---- Preconditions ---- 
% MEAN: row 
% SIGMA: the covariance matrix
% 
% ---- Postconditions ----
%
% ----- Description -----
% Plots the eigenvectors of the Covariance matrix.
%


[u, s, v] = svd(sigma);
drawvec1 = [mean; mean+(u(:,1)*sqrt(s(1,1)))'; mean-1*(u(:,1)*sqrt(s(1,1)))'];
drawvec2 = [mean; mean+(u(:,2)*sqrt(s(2,2)))'; mean-1*(u(:,2)*sqrt(s(2,2)))'];
drawvec = [drawvec1 ; drawvec2];
plot(drawvec(:,1), drawvec(:,2), 'r');

